:root{
    --main-color: #191548;
}
body{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    overflow-x: hidden;
}
header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    z-index: 99;
    background-color: var(--main-color);
    padding-left: 10px;
    border-bottom: 3px solid balck;
}
header #navbar{
    display: flex;
    justify-content: flex-end;
    align-items: center;
    position: relative;
    right: 25px;

}
header #navbar ul{
    display: flex;
    list-style-type: none;
    justify-content: flex-end;
    align-items: center;
    flex-wrap: wrap;
    margin-bottom: 0;
    padding-bottom: 13px;
}
header #navbar ul li{
    padding: 0 10px;
}
header #navbar ul a{
    font-size: 1.5rem;
    color: white;
    text-decoration: none;
    padding: 0.5rem 1rem;
    letter-spacing: 1px;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    transition: all 0.5s ease-in-out;
}
header #navbar ul a:hover{
    color: #1904fdc3;
    background-color: white;
    border-radius: 5px;
    font-weight: bold;

}
main{
    background-color: rgb(49, 49, 49);
    color: Snow;
}
main #welcome-section{
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 1rem;
}
main #welcome-section h1{
    font-size: 5rem;
    margin-bottom: 0;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;

}
main #welcome-section  span{
    color: #1904fdef;
    font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}
main #welcome-section h3{
    font-size: 2rem;
    font-family: 'Courier New', Courier, monospace;
    font-weight: bold;
    margin: 0;
    margin-bottom: 5px;
}
main #welcome-section #buttons-link{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 10px;
}
main #welcome-section #buttons-link a:nth-of-type(even){
    margin: 0 10px;
}

/* A propos */
main #a-propos{
    background-color: azure;
    color: black;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    flex-wrap: wrap;
}
#a-propos-img{
    box-shadow: 15px 15px black;
    border: 2px solid black;
    border-radius: 5px;
}
main #a-propos #a-propos-content{
    width: 50%;
    margin-left:1.5rem;
}
main #a-propos #a-propos-content h2{
    font-size: 3rem;
    font-family:'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif
    
}
main #a-propos #a-propos-content p{
    font-size: 1.5rem;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
}

/* Project styling */
#projects{
    background-color: #1904fd74;
    margin: 0;
    padding-bottom: 1rem;
}
#projects #project-main-tile{
    text-align: center;
    font-size: 3rem;
    font-family:'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    color: azure;
    padding: 5px 0;
    border-bottom: 5px solid black;
    margin: 0;
}
#projects p{
    font-size: 1.5rem;
    text-align: center;
    color: rgba(206, 206, 206, 0.72);
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    font-weight: bold;
}
#projects #project-grids{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 15px;
    padding: 1rem;
}
#projects #project-grids .project-grid{
    border: 1px solid black;
    border-radius: 5px;
    transition: all 0.3s ease-in-out;
    background-color: rgb(49, 49, 49);
}
#projects #project-grids .project-grid:hover{
    box-shadow: 0 0 10px #ffffffae, 0 0 20px #ffffffae;
    cursor: pointer;
}
#projects .project-img{
    width: 100%;
    height: 350px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}
#projects .project-content{
    padding: 0.5rem;
    padding-top: 0;
}
#projects .project-tile{
    font-size: 1.5rem;
    font-family:'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    color: azure;
}
#projects .project-btn-box{
    display: flex;
    justify-content: center;
    align-items: center;
}
#projects #profile-link{
    border: 1px solid black;
    font-size: 1.5rem;
    text-align: center;
    text-decoration: none;
    padding: 0.5rem;
    background-color: rgb(49, 49, 49);
    color: azure;
    font-family:'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    font-weight: bold;
    margin-bottom: 5px;
    border-radius: 3px;
    transition: all 0.3s ease-in-out;
}
#projects #profile-link:hover{
    background-color: #191548;
}

/* Partie Contact */
#contact{
    padding: 0.5rem 0;
    padding-bottom: 1rem;
}
#contact #contact-title{
    text-align: center;
    font-size: 3rem;
    font-family:'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
}
#contact #contact-box{
    display: flex;
    justify-content: center;
    gap: 15px;

}
#contact #contact-box .form-box{
    color: azure;
    background-color: #191548;
    flex-basis: 25%;
    padding: 1rem;
    border-radius: 10px;
}
#contact #contact-box form label{
    font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-weight: bold;
    letter-spacing: 1px;
    margin: 10px 0;
    font-size: 1.5rem;
}
#contact #contact-box form select{
    width: 100%;
    height: 30px;
    margin: 5px 0;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    font-size: 1rem;
}
#contact #contact-box form textarea{
    width: 100%;
    margin: 10px 0;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
}
#contact #contact-box form input{
    margin: 5px 0;
    width: 100%;
    height: 30px;
    font-size: 1rem;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
}
#contact #contact-box .social-link-box{
    flex-basis: 20%;
}
#contact #contact-box form #submit-btn{
    background-color: rgb(255, 255, 255);
    text-align: center;
    font-size: 1.3rem;
    font-weight: bold;
    color: #191548;
    width: 50%;
    outline: none;
    border: 1px solid #191548;
    height: auto;
    padding: 0.5rem 0;
    border-radius: 5px;
    transition: all 0.3s ease-in-out;
}
#contact #contact-box form #submit-btn:hover{
    background-color: #191548;
    color: azure;
    border: 1px solid black;
    box-shadow: 0 0 10px #000000, 0 0 20px #000000 ;
    cursor: pointer;
}
#contact .social-link-box .socil-title{
    font-size: 2rem;
    text-align: center;
    font-family:'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    letter-spacing: 1px;
}
#contact .social-link-box  #social-links{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
/* Footer */
footer{
    display: flex;
    justify-content: center;
    align-content: center;
    color: azure;
    background-color:#191548;
}
footer p{
    font-size: 20px;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
}

/* resposive */
@media screen and (max-width: 900px){
    #projects #project-grids{
        grid-template-columns: 1fr;
    }
    #contact #contact-box{
        flex-direction: column;
        padding: 0.5rem 1rem;
    }
    #contact .social-link-box  #social-links{
        flex-direction: row;
    }
}
@media screen and (max-width: 800px){
    main #a-propos{
        flex-direction: column;
        padding: 1rem;
    }
    main #a-propos #a-propos-content{
        width: 100%;
        margin-left:0;
        align-self: center;
        text-align: center;
    }
    main #a-propos #a-propos-content p{
        font-size: 1.45rem;
    }
}
@media screen and (max-width: 600px){
    header #navbar{
        justify-content: center;
    }
    header #navbar ul{
        width: 100%;
        flex-direction: column;
        justify-content: center;
    }
    header #navbar ul li{
        margin: 10px 0;
        width: 100%;
        text-align: center;
    }
    header #navbar ul a{
        width: 100%;
        padding: auto;
    }
    
}
@media screen and (max-width: 490px){
    main #welcome-section h1{
        font-size: 3rem;
    }
    #a-propos-img-box{
        display: none;
    }
}